Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.views.create

Creates an Iceberg view in the namespace.

HTTP request


POST https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{parent=projects/*/catalogs/*/namespaces/*}/views

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this view will be created. Format: projects/{projectId}/catalogs/{catalogId}/namespaces/{namespace}

Request body

The request body contains data with the following structure:

JSON representation
{
  "httpBody": {
    object (HttpBody)
  }
}
Fields
httpBody

object (HttpBody)

Required. The raw HTTP body is bound to this field. Our handler will validate that contentType is application/json and that data adheres to the Apache Iceberg Rest Catalog Spec OpenAPI schema:

/components/schemas/CreateViewRequest

Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.